﻿using System.Reflection;

namespace anbs_cp.Extensions;

/// <summary>
/// Расширение MethodInfo
/// </summary>
public static class MethodInfoExtension
{
    /// <summary>
    /// Проверяет, является ли метод асинхронным
    /// </summary>
    /// <param name="method">Метод</param>
    /// <returns>Асинхронный или нет</returns>
    public static bool IsAsync (this MethodInfo method) => typeof(Task) == method.ReturnType;
}