﻿using System.Diagnostics.CodeAnalysis;

namespace anbs_cp.Extensions;

/// <summary>
/// Расширение строк
/// </summary>
public static class StringExtensions
{
    /// <summary>
    /// Проверяет строку на пустоту
    /// </summary>
    /// <param name="s">Строка</param>
    /// <returns>Строка пуста (null) или содержит только пробелы</returns>
    public static bool IsNullOrWhiteSpace ([NotNullWhen(false)] this string? s) => s == null || s.Trim().Length == 0;
}